axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Martin Gainty <mgai...@hotmail.com>
Subject Does Axis2 work with Servlet-spec 3.1?
Date Thu, 04 Feb 2016 15:54:23 GMT
I tested some Axis 2.1.6.x mars/aars with both servlet-spec 2.5 and servlet-spec 3.1
SERVLET-SPEC 2.5:
when I deploy my aar or rampart.mar to TC 6.020 with servlet-api :
/META-INF/MANIFEST.MF
version=Manifest-Version: 1.0Ant-Version: Apache Ant 1.7.1Created-By: 1.5.0_12-b04 (Sun Microsystems
Inc.Name: javax/servlet/Specification-Title: Java API for ServletsSpecification-Version: 2.5

Axis 2.1.6.x aar / mar developed with JDK1.8.0_40 deploys and displays/engages properly and
Axis Happiness page shows no errors with TC 6.0.20
SERVLET-SPEC 3.x:can anyone confirm if Axis 2.1.6.x services or mars work with Servlet Spec
3.1
(servlet-api version=3.0) OR (servlet-api version=3.1)
(aar wont deploy)
(mars wont deploy)
/META-INF/MANIFEST.MFManifest-Version: 1.0Ant-Version: Apache Ant 1.9.3Created-By: 1.7.0_80-b15
(Oracle Corporation)X-Compile-Source-JDK: 1.7X-Compile-Target-JDK: 1.7Name: javax/servlet/Specification-Title:
Java API for ServletsSpecification-Version: 3.1
(BTW: Axis Happiness Page shows no errors for Servlet-spec 3.1)
Thanks!Martin 
______________________________________________ 
                                                                                         
     
 		 	   		  
Mime
View raw message